
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Python Module Index &#8212; pycity_scheduling v1.0.1 documentation</title>
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/language_data.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/x-mathjax-config">MathJax.Hub.Config({"extensions": ["tex2jax.js"], "jax": ["input/TeX", "output/HTML-CSS"]})</script>
    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
 


  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="#" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pycity_scheduling v1.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Python Module Index</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-a"><strong>a</strong></a> | 
   <a href="#cap-c"><strong>c</strong></a> | 
   <a href="#cap-d"><strong>d</strong></a> | 
   <a href="#cap-e"><strong>e</strong></a> | 
   <a href="#cap-p"><strong>p</strong></a> | 
   <a href="#cap-s"><strong>s</strong></a> | 
   <a href="#cap-u"><strong>u</strong></a>
   </div>

   <table class="indextable modindextable">
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-a"><td></td><td>
       <strong>a</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms"><code class="xref">pycity_scheduling.algorithms</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.algorithm"><code class="xref">pycity_scheduling.algorithms.algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.central_optimization_algorithm"><code class="xref">pycity_scheduling.algorithms.central_optimization_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm"><code class="xref">pycity_scheduling.algorithms.dual_decomposition_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm"><code class="xref">pycity_scheduling.algorithms.exchange_admm_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.local_optimization_algorithm"><code class="xref">pycity_scheduling.algorithms.local_optimization_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.stand_alone_optimization_algorithm"><code class="xref">pycity_scheduling.algorithms.stand_alone_optimization_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-c"><td></td><td>
       <strong>c</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-2" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes"><code class="xref">pycity_scheduling.classes</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.apartment"><code class="xref">pycity_scheduling.classes.apartment</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.battery"><code class="xref">pycity_scheduling.classes.battery</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.boiler"><code class="xref">pycity_scheduling.classes.boiler</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building"><code class="xref">pycity_scheduling.classes.building</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building_energy_system"><code class="xref">pycity_scheduling.classes.building_energy_system</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.chiller"><code class="xref">pycity_scheduling.classes.chiller</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.city_district"><code class="xref">pycity_scheduling.classes.city_district</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.combined_heat_power"><code class="xref">pycity_scheduling.classes.combined_heat_power</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.curtailable_load"><code class="xref">pycity_scheduling.classes.curtailable_load</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.deferrable_load"><code class="xref">pycity_scheduling.classes.deferrable_load</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_entity"><code class="xref">pycity_scheduling.classes.electrical_entity</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_heater"><code class="xref">pycity_scheduling.classes.electrical_heater</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_vehicle"><code class="xref">pycity_scheduling.classes.electrical_vehicle</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.entity_container"><code class="xref">pycity_scheduling.classes.entity_container</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.environment"><code class="xref">pycity_scheduling.classes.environment</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.fixed_load"><code class="xref">pycity_scheduling.classes.fixed_load</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.heat_pump"><code class="xref">pycity_scheduling.classes.heat_pump</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.optimization_entity"><code class="xref">pycity_scheduling.classes.optimization_entity</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.photovoltaic"><code class="xref">pycity_scheduling.classes.photovoltaic</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.prices"><code class="xref">pycity_scheduling.classes.prices</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_cooling"><code class="xref">pycity_scheduling.classes.space_cooling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_heating"><code class="xref">pycity_scheduling.classes.space_heating</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_cooling_storage"><code class="xref">pycity_scheduling.classes.thermal_cooling_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_cooling"><code class="xref">pycity_scheduling.classes.thermal_entity_cooling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_heating"><code class="xref">pycity_scheduling.classes.thermal_entity_heating</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_heating_storage"><code class="xref">pycity_scheduling.classes.thermal_heating_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.timer"><code class="xref">pycity_scheduling.classes.timer</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.weather"><code class="xref">pycity_scheduling.classes.weather</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.wind_energy_converter"><code class="xref">pycity_scheduling.classes.wind_energy_converter</code></a></td><td>
       <em></em></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling.constants"><code class="xref">pycity_scheduling.constants</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-d"><td></td><td>
       <strong>d</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-3" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.data.html#module-pycity_scheduling.data"><code class="xref">pycity_scheduling.data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-3">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.data.html#module-pycity_scheduling.data.ev_data"><code class="xref">pycity_scheduling.data.ev_data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-3">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.data.html#module-pycity_scheduling.data.tabula_data"><code class="xref">pycity_scheduling.data.tabula_data</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-e"><td></td><td>
       <strong>e</strong></td><td></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling.exceptions"><code class="xref">pycity_scheduling.exceptions</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-p"><td></td><td>
       <strong>p</strong></td><td></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling"><code class="xref">pycity_scheduling</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-s"><td></td><td>
       <strong>s</strong></td><td></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling.solvers"><code class="xref">pycity_scheduling.solvers</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-u"><td></td><td>
       <strong>u</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-4" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util"><code class="xref">pycity_scheduling.util</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.debug"><code class="xref">pycity_scheduling.util.debug</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.factory"><code class="xref">pycity_scheduling.util.factory</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.generic_constraints"><code class="xref">pycity_scheduling.util.generic_constraints</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.metric"><code class="xref">pycity_scheduling.util.metric</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.plot_schedules"><code class="xref">pycity_scheduling.util.plot_schedules</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.write_schedules"><code class="xref">pycity_scheduling.util.write_schedules</code></a></td><td>
       <em></em></td></tr>
   </table>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="#" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pycity_scheduling v1.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Python Module Index</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Institute for Automation of Complex Power Systems (ACS), E.ON Energy Research Center (E.ON ERC), RWTH Aachen University.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.3.1.
    </div>
  </body>
</html>